%define	fontname	samyak
%define langlist	"devanagari gujarati tamil malayalam oriya"

# Common description
%define common_desc \
The Samyak package contains fonts for the display of \
Scripts Devanagari, Gujarati, Malayalam, Oriya and Tamil

Name:	 %{fontname}-fonts
Version:	1.2.1
Release:	6%{?dist}
Summary:	Free Indian truetype/opentype fonts
Group:	User Interface/X
License:	GPLv3+ with exceptions
URL:	https://sarovar.org/projects/samyak/
Source:	samyak-fonts-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	fontpackages-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
%common_desc

%package common
Summary:  Common files for smc-fonts
Group:  User Interface/X
Requires: fontpackages-filesystem
Provides: %{fontname}-common-fonts = %{version}-%{release}
Obsoletes: %{fontname}-common-fonts < 1.2.1-4
%description common
%common_desc

%package -n %{fontname}-devanagari-fonts
Summary: Open Type Fonts for Devanagari script
Group: User Interface/X 
Requires: %{name}-common = %{version}-%{release}
License: GPLv3+ with exceptions
Provides: %{name}-devanagari = %{version}-%{release}
Obsoletes: %{name}-devanagari < 1.2.1-3
%description -n %{fontname}-devanagari-fonts
This package contains truetype/opentype font for the display of \
Scripts Devanagari.

%_font_pkg -n devanagari %{fontname}-devanagari/Samyak-*.ttf 

%package -n %{fontname}-tamil-fonts
Summary: Open Type Fonts for Tamil script
Group: User Interface/X 
Requires: %{name}-common = %{version}-%{release}
License: GPLv3+ with exceptions
Provides: %{name}-tamil = %{version}-%{release}
Obsoletes: %{name}-tamil < 1.2.1-3
%description -n %{fontname}-tamil-fonts
This package contains truetype/opentype font for the display of \
Scripts Tamil.

%_font_pkg -n tamil %{fontname}-tamil/*.ttf 

%package -n %{fontname}-malayalam-fonts
Summary: Open Type Fonts for Malayalam script
Group: User Interface/X 
Requires: %{name}-common = %{version}-%{release}
License: GPLv3+ with exceptions
Provides: %{name}-malayalam = %{version}-%{release}
Obsoletes: %{name}-malayalam < 1.2.1-3
%description -n %{fontname}-malayalam-fonts
This package contains truetype/opentype font for the display of \
Scripts Malayalam.

%_font_pkg -n malayalam %{fontname}-malayalam/*.ttf 

%package -n %{fontname}-gujarati-fonts
Summary: Open Type Fonts for Gujarai script
Group: User Interface/X 
Requires: %{name}-common = %{version}-%{release}
License: GPLv3+ with exceptions
Provides: %{name}-gujarati = %{version}-%{release}
Obsoletes: %{name}-gujarati < 1.2.1-3
%description -n %{fontname}-gujarati-fonts
This package contains truetype/opentype font for the display of \
Scripts Gujarati.

%_font_pkg -n gujarati %{fontname}-gujarati/*.ttf 

%package -n %{fontname}-oriya-fonts
Summary: Open Type Fonts for Oriya script
Group: User Interface/X 
Requires: %{name}-common = %{version}-%{release}
License: GPLv3+ with exceptions
Provides: %{name}-oriya = %{version}-%{release}
Obsoletes: %{name}-oriya < 1.2.1-3
%description -n %{fontname}-oriya-fonts
This package contains truetype/opentype font for the display of \
Scripts Oriya.

%_font_pkg -n oriya %{fontname}-oriya/*.ttf 


%prep
%setup -q -n samyak-fonts-%{version}

%build
echo "Nothing to do in Build."

%install
rm -rf %{buildroot}

for i in "%{langlist}"
do
install -m 0755 -d %{buildroot}%{_fontdir}/samyak-$i
install -m 0644 -p $i/* %{buildroot}%{_fontdir}/samyak-$i
done

%clean
rm -fr %{buildroot}


%files common
%defattr(-,root,root,-) 
%doc COPYING README AUTHORS
%dir %{_fontdir}

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2009 Pravin Satpute <psatpute@redhat.com> 1.2.1-4
- renamed samyak-common-fonts to samyak-fonts-common

* Tue Feb 03 2009 Pravin Satpute <psatpute@redhat.com> 1.2.1-3
- renamed font package as per fedora new Font_package_naming guideline
- updated spec

* Mon Jan 12 2009 Pravin Satpute <psatpute@redhat.com> 1.2.1-2
- bugzilla 477451
- updated spec

* Thu Sep 18 2008 Pravin Satpute <psatpute@redhat.com> 1.2.1-1
- upstream release 1.2.1
- Added Unicode 5.1 support in Samyak-Devanagari 

* Fri Apr 04 2008 Pravin Satpute <psatpute@redhat.com> 1.2.0-2
- given proper license name
- fc-cache now run on samyak-langname folder

* Thu Feb 28 2008 Pravin Satpute <psatpute@redhat.com> - 1.2.0-1
- update to samyak-fonts-1.2.0 from upstream cvs
- major bug fixes for devanagari and malayalam
- licence update to 'GNU Gplv3 or later with font exceptions'
- update spec file

* Fri Feb 08 2008 Pravin Satpute <psatpute@redhat.com> - 1.1.0-2
- added sub packaging support in spec file based on lohit-fonts.spec file 

* Fri Jan 18 2008 Pravin Satpute <psatpute@redhat.com> - 1.1.0-1
- initial packaging
